MONGOC_GRIDFS_FILE_SET_FILENAME(3)

NAME
mongoc_gridfs_file_set_filename - mongoc_gridfs_file_set_filename()

SYNOPSIS

        void
        mongoc_gridfs_file_set_filename (mongoc_gridfs_file_t *file,
                                         const char *filename);

PARAMETERS

    •   file: A mongoc_gridfs_file_t.

    •   str: A UTF-8 encoded string containing the filename.

DESCRIPTION

Sets the filename for file.

You need to call mongoc_gridfs_file_save() to persist this change.

AUTHOR
MongoDB, Inc

COPYRIGHT
2018, MongoDB, Inc